# $Revision: 1.10 $, $Date: 2010/04/06 12:32:11 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_with	tests		# don't build tests

%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java
%define		srcname		jcommon
Summary:	Common library for Object Refinery Projects
Summary(pl.UTF-8):	Biblioteka wspólna dla projektów Object Refinery
Name:		java-jcommon
Version:	1.0.16
Release:	1
License:	LGPL
Group:		Libraries/Java
Source0:	http://downloads.sourceforge.net/jfreechart/%{srcname}-%{version}.tar.gz
# Source0-md5:	5fb774c225cdc7d15a99c9702031ae05
URL:		http://www.jfree.org/jcommon/index.html
BuildRequires:	ant
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils >= 0:1.5
%{?with_tests:BuildRequires:	junit}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of classes used by Object Refinery Projects, for example
jfreechart.

%description -l pl.UTF-8
Zbiór klas używanych przez projekty Object Refinery, jak na przykład
jfreechart.

%package test
Summary:	Test tasks for %{srcname}
Summary(pl.UTF-8):	Zadania testowe dla pakietu %{srcname}
Group:		Development/Languages/Java
Requires:	%{srcname} = %{epoch}:%{version}-%{release}
Requires:	junit

%description test
All test tasks for %{srcname}.

%description test -l pl.UTF-8
Wszystkie zadania testowe dla pakietu %{srcname}.

%package javadoc
Summary:	Javadoc for %{srcname}
Summary(pl.UTF-8):	Dokumentacja Javadoc do pakietu %{srcname}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Javadoc for %{srcname}.

%description javadoc -l fr.UTF-8
Javadoc pour %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc do pakietu %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}
# remove all binary libs
find . -name '*.jar' | xargs rm -v

%build
%if %{with tests}
CLASSPATH=$(build-classpath junit)
%endif
%ant -f ant/build.xml -Dbuildstable=true -Dproject.outdir=. -Dbasedir=. \
	compile %{?with_tests:compile-junit-tests} %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d $RPM_BUILD_ROOT%{_javadir}
install %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar
%if %{with tests}
install lib/%{srcname}-%{version}-junit.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{srcname}-%{version}-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-junit.jar
%endif

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc README.txt
%{_javadir}/%{srcname}.jar
%{_javadir}/%{srcname}-%{version}.jar

%if %{with tests}
%files test
%defattr(644,root,root,755)
%{_javadir}/%{srcname}-%{version}-junit.jar
%{_javadir}/%{srcname}-junit.jar
%endif

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-jcommon.spec,v $
Revision 1.10  2010/04/06 12:32:11  pawelz
- code is US-ASCII, so there is no need to play with LC_ALL
- rel 1

Revision 1.9  2010/04/06 12:12:24  pawelz
- pldize, jdk bconds
- disable tests (tests were build, packaged but not executed, it makes no sense)

Revision 1.8  2010/04/06 11:44:19  pawelz
- renamed from jcommon (there is pending cvsadmin request to actually rename files)

Revision 1.7  2010/04/06 11:33:50  pawelz
- up to 1.0.16
- dropped E: 0
- G: Libraries/Java

Revision 1.6  2008/01/14 22:34:58  qboosh
- pl

Revision 1.5  2007-11-20 17:53:59  glen
- java deps

Revision 1.4  2007-11-18 14:05:34  glen
- -javadoc: R jpackage-utils for the dir

Revision 1.3  2007-11-18 13:55:27  glen
- unneeded dir

Revision 1.2  2007-11-18 13:22:55  glen
- update to 1.0.12

Revision 1.1  2007-11-18 13:06:08  glen
- new, based on jpackage
